MPI_T_category_get_info(3)

NAME
MPI_T_category_get_info - Get the information about a category

SYNOPSIS
int MPI_T_category_get_info(int cat_index, char *name, int *name_len, char *desc,
int *desc_len, int *num_cvars, int *num_pvars, int *num_categories)

INPUT/OUTPUT PARAMETERS
name_len
    - length of the string and/or buffer for name (integer)
desc_len
    - length of the string and/or buffer for desc (integer)

INPUT PARAMETERS
cat_index
    - index of the category to be queried (integer)

OUTPUT PARAMETERS
name
    - buffer to return the string containing the name of the category (string)
desc
    - buffer to return the string containing the description of the category (string)
num_cvars
    - number of control variables contained in the category (integer)
num_pvars
    - number of performance variables contained in the category (integer)
num_categories
    - number of categories contained in the category (integer)

THREAD AND INTERRUPT SAFETY
This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Comm_set_errhandler (for communicators), MPI_File_set_errhandler (for files), and MPI_Win_set_errhandler (for RMA windows). The MPI-1 routine MPI_Errhandler_set may be used but its use is deprecated. The predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_T_ERR_NOT_INITIALIZED
    - The MPI tool information interface is not initialized.
MPI_T_ERR_INVALID_INDEX
    - Index is invalid or has been deleted.